Bug 108698 - The com.arsdigita.kernel.PersonName type can't be instantiated with DomainObjectFactory
Summary: The com.arsdigita.kernel.PersonName type can't be instantiated with DomainObj...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-31 10:43 UTC by Daniel Berrange
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:27:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-10-31 10:43:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The the com.arsdigita.kernel.PersonName object cann't be instantiated using the
DomainObjectFactory because it has no instantiator registered.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Edit your cms-item-adapters.xml file to traverse to a personName object
2. Run the XML renderer
3.
    

Actual Results:  > com.arsdigita.domain.InstantiatorNotFoundException: No
instantiator
> found for dataObject GenericDataObject:


Expected Results:  Person name object is rendered to XML.

Additional info:

See this thread:

https://www.redhat.com/archives/redhat-ccm-list/2003-October/msg00120.html

The fix needs to be applied to all supported branches of WAF.

Comment 1 Daniel Berrange 2006-09-02 17:27:17 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.